<?php
namespace Incoviba\Model\Contabilidad;

use Incoviba\Common\Ideal;
use Incoviba\Model\Inmobiliaria;

class Nubox extends Ideal\Model
{
    public Inmobiliaria $inmobiliaria;
    public string $alias;
    public string $usuario;
    public string $password;

    public function getLogin(): string
    {
        return base64_encode(implode(':', [$this->usuario, $this->password]));
    }
}
